package domain

type TmallExchangeRefusereasonGetResultSet struct {
	/*
	   拒绝原因列表     */
	Results *[]TmallExchangeRefusereasonGetReason `json:"results,omitempty" `

	/*
	   拒绝原因总数     */
	TotalResults *int64 `json:"total_results,omitempty" `

	/*
	   异常信息     */
	Exception *string `json:"exception,omitempty" `

	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   错误信息     */
	ErrorMsg *string `json:"error_msg,omitempty" `
}

func (s *TmallExchangeRefusereasonGetResultSet) SetResults(v []TmallExchangeRefusereasonGetReason) *TmallExchangeRefusereasonGetResultSet {
	s.Results = &v
	return s
}
func (s *TmallExchangeRefusereasonGetResultSet) SetTotalResults(v int64) *TmallExchangeRefusereasonGetResultSet {
	s.TotalResults = &v
	return s
}
func (s *TmallExchangeRefusereasonGetResultSet) SetException(v string) *TmallExchangeRefusereasonGetResultSet {
	s.Exception = &v
	return s
}
func (s *TmallExchangeRefusereasonGetResultSet) SetErrorCode(v string) *TmallExchangeRefusereasonGetResultSet {
	s.ErrorCode = &v
	return s
}
func (s *TmallExchangeRefusereasonGetResultSet) SetErrorMsg(v string) *TmallExchangeRefusereasonGetResultSet {
	s.ErrorMsg = &v
	return s
}
